Bug 333061 - git-email not specifying perl-Git dependency
git-email not specifying perl-Git dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 15:53 EDT by Marcel Ziswiler
Modified: 2013-01-10 05:20 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.5.3.6-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 15:43:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Ziswiler 2007-10-15 15:53:45 EDT
The git-email package does not specify the perl-Git dependency.

Description of problem:
Trying to use git-email without having perl-Git installed results in error message.

Version-Release number of selected component (if applicable):
git-email-1.5.2.4-1.fc7

How reproducible:
Just fire up a git-send-email command of your liking.

Steps to Reproduce:
1. Install git with git-email without perl-Git (no dependency).
2. Issue a git-send-email command.
3. Observe above error message.
  
Actual results:
Can't locate Git.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.8.8
/usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.7/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.6/x86_64-linux-thread-multi
/usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6
/usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.7/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.6/x86_64-linux-thread-multi
/usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at /usr/bin/git-send-email line 25.
BEGIN failed--compilation aborted at /usr/bin/git-send-email line 25.

Expected results:
After installing the missing perl-Git-1.5.2.4-1.fc7 package.
Dry-OK.

Additional info:
None.
Comment 1 Fedora Update System 2007-11-28 20:42:25 EST
git-1.5.3.6-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update git'
Comment 2 Fedora Update System 2007-12-10 15:43:24 EST
git-1.5.3.6-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.